# org.pdfclown.objects.PdfTextString Class Reference

PDF text string object [PDF:1.6:3.8.1]. More...

Inheritance diagram for org.pdfclown.objects.PdfTextString:

List of all members.

## Public Types
enum | SerializationModeEnum { Literal, Hex }
| String serialization mode. More...
## Public Member Functions
override PdfObject | Accept (IVisitor visitor, object data)
override int | CompareTo (PdfDirectObject obj)
| PdfTextString (String value, SerializationModeEnum serializationMode)
| PdfTextString (byte[] rawValue, SerializationModeEnum serializationMode)
| PdfTextString (string value)
| PdfTextString (byte[] rawValue)
byte[] | ToByteArray ()
| Gets the buffer data copied to a newly-allocated byte array.
override string | ToString ()
override void | WriteTo (IOutputStream stream, files.File context)
## Static Public Member Functions
static PdfTextString | Get (string value)
| Gets the object equivalent to the given value.
## Static Public Attributes
static readonly new PdfTextString | Default = new PdfTextString("")
## Properties
override byte[] | RawValue`[set]`
virtual SerializationModeEnum | SerializationMode`[get, set]`
| Gets/Sets the serialization mode.
string | StringValue`[get]`
override object | Value`[get, set]`

##

PDF text string object [PDF:1.6:3.8.1].

Text strings are meaningful only as part of the document hierarchy; they cannot appear within content streams. They represent information that is intended to be human-readable.

## Member Enumeration Documentation

enum org::pdfclown::objects::PdfString::SerializationModeEnum`[inherited]`

String serialization mode.

Enumerator:

  Literal | Plain form.
  Hex | Hexadecimal form.

## Constructor & Destructor Documentation

org.pdfclown.objects.PdfTextString.PdfTextString | ( | byte[] | rawValue | ) |

org.pdfclown.objects.PdfTextString.PdfTextString | ( | string | value | ) |

org.pdfclown.objects.PdfTextString.PdfTextString | ( | byte[] | rawValue,
|  | SerializationModeEnum | serializationMode |
| ) |  |  |

org.pdfclown.objects.PdfTextString.PdfTextString | ( | String | value,
|  | SerializationModeEnum | serializationMode |
| ) |  |  |

## Member Function Documentation

override PdfObject org.pdfclown.objects.PdfTextString.Accept | ( | IVisitor | visitor,
|  | object | data |
| ) |  |  |

Reimplemented from org.pdfclown.objects.PdfString.

References org.pdfclown.objects.IVisitor.Visit().

override int org.pdfclown.objects.PdfString.CompareTo | ( | PdfDirectObject | obj | ) | `[inherited]`

static PdfTextString org.pdfclown.objects.PdfTextString.Get | ( | string | value | ) | `[static]`

Gets the object equivalent to the given value.

byte [] org.pdfclown.objects.PdfString.ToByteArray | ( |  | ) | `[inherited]`

Gets the buffer data copied to a newly-allocated byte array.

Implements org.pdfclown.util.IDataWrapper.

override string org.pdfclown.objects.PdfString.ToString | ( |  | ) | `[inherited]`

override void org.pdfclown.objects.PdfString.WriteTo | ( | IOutputStream | stream,
|  | files.File | context |
| ) |  |  | `[inherited]`

References org.pdfclown.bytes.IOutputStream.Write().

## Member Data Documentation

readonly new PdfTextString org.pdfclown.objects.PdfTextString.Default = new PdfTextString("")`[static]`

Reimplemented from org.pdfclown.objects.PdfString.

## Property Documentation

override byte [] org.pdfclown.objects.PdfTextString.RawValue`[set]`

virtual SerializationModeEnum org.pdfclown.objects.PdfString.SerializationMode`[get, set, inherited]`

Gets/Sets the serialization mode.

Reimplemented in org.pdfclown.objects.PdfDate.

string org.pdfclown.objects.PdfString.StringValue`[get, inherited]`

override object org.pdfclown.objects.PdfTextString.Value`[get, set]`

Reimplemented from org.pdfclown.objects.PdfString.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.